Delete a bank account 

You can delete bank accounts from a Customer.

Parameters

No parameters.

Returns

DELETE /v1/customers/:id/sources/:id
curl -X DELETE https://api.stripe.com/v1/customers/cus_9s6XKzkNRiz8i3/sources/ba_1NkxyL2eZvKYlo2CwZgb2mzO \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:"
Response
{
"customer": "cus_9s6XKzkNRiz8i3",
"id": "ba_1NkxyL2eZvKYlo2CwZgb2mzO",
"object": "bank_account",
"deleted": true
}

Verify a bank account 

Verify a specified bank account for a given customer.

Parameters

  • amountsarray of integers

    Two positive integers, in cents, equal to the values of the microdeposits sent to the bank account.

Returns

POST /v1/customers/:id/sources/:id/verify
curl https://api.stripe.com/v1/customers/cus_9s6XGDTHzA66Po/sources/ba_1NAiwl2eZvKYlo2CRdCLZSxO/verify \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:" \
-d "amounts[]"=32 \
-d "amounts[]"=45
Response
{
"id": "ba_1NAiwl2eZvKYlo2CRdCLZSxO",
"object": "bank_account",
"account_holder_name": "Jane Austen",
"account_holder_type": "company",
"account_type": null,
"bank_name": "STRIPE TEST BANK",
"country": "US",
"currency": "usd",
"customer": "cus_9s6XGDTHzA66Po",
"fingerprint": "1JWtPxqbdX5Gamtc",
"last4": "6789",
"metadata": {},
"routing_number": "110000000",
"status": "new",
"name": "Jenny Rosen"
}